# mongoc_apm_command_failed_get_operation_id()

## Synopsis

    int64_t
    mongoc_apm_command_failed_get_operation_id (
       const mongoc_apm_command_failed_t *event);

Returns this event’s operation id. This number correlates all the commands in a bulk operation, or all the “find” and “getMore” commands required to stream a large query result.

## Parameters

- `event`: A mongoc_apm_command_failed_t.

## Returns

The event’s operation id.

See also

Introduction to Application Performance Monitoring